html, body {
    margin: 0;
}

.main {
    display: flex;
    position: relative;
}

.menu {
    display: flex;
    flex-direction: column;
}

.blue-btn {
    display: flex;
    justify-content: center;
    align-items: center;
    border: 2px solid white;
    background-color: white;
    color: #004A94;
    border-radius: 5px;
    margin: 0rem 0.5rem 0.5rem 0.5rem;
    padding: 0.4rem 0.5rem;
}

.blue-btn:first-of-type {
    margin-top: 0.5rem;
}

.blue-btn span:first-of-type {
    font-size: 22px;
}

.blue-btn span:last-of-type {
    font-size: 18px;
    font-family: "Imprima", sans-serif;
    font-weight: 400;
    font-style: normal;
    margin-left: 1rem;
    display: none;
}

.blue-btn:hover {
    cursor: pointer;
    background-color: #004A94;
    border: 2px solid #004A94;
    color: white;
}

#blue-btn-focus {
    background-color: #004A94;
    border: 2px solid #004A94;
    color: white;
}

.main-content {
    flex: 1;
    padding: 0.5rem 1rem;
}

.title {
    font-size: 40px;
    font-family: "Rampart One", sans-serif;
    font-weight: 400;
    font-style: normal;
    color: #004A94;
    text-align: center;
    padding: 1rem 0rem;
}

.main-content > div:last-of-type {
    padding: 0.5rem 1rem;
    display: flex;
    flex-direction: column;
}

.deck {
    display: flex;
    background-color: #D9EDF8;
    padding: 2rem 0rem;
}

.deck > div:first-of-type {
    font-size: 25px;
    display: flex;
    align-items: center;
    padding: 1rem;
    color: #004A94;
}

.deck span:hover {
    cursor: pointer;
}

.deck > div:last-of-type {
    font-size: 25px;
    display: flex;
    align-items: center;
    padding: 1rem;
    color: #004A94;
}

.deck-main {
    flex: 1;
    display: flex;
    justify-content: center;
}

.flip-card {
    width: 600px;
    height: 300px;
    perspective: 1000px;
}

.flip-card-inner {
    position: relative;
    width: 100%;
    height: 100%;
    text-align: center;
    transition: transform 0.8s;
    transform-style: preserve-3d;
}

.flip-card-inner:hover {
    cursor: pointer;
}

.flip-card-inner.flipped {
    transform: rotateY(180deg);
}

.flip-card-front, .flip-card-back {
    position: absolute;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    font-size: 20px;
    font-family: "Imprima", sans-serif;
    font-weight: 400;
    font-style: normal;
    color: #004A94;
}

.flip-card-front {
    background-color: white;
}

.flip-card-back {
    background-color: white;
    transform: rotateY(180deg);
}